# OpalStatusUserInput Struct Reference

`#include <opal.h>`

## Data Fields

const char * | m_callToken
| Call token for the call the User Input was received on.
const char * | m_userInput
| User input string, e.g. "#".
unsigned | m_duration

## Detailed Description

User input information for the OpalIndUserInput/OpalCmdUserInput indication.

This is may be returned from the OpalGetMessage() function or provided to the OpalSendMessage() function.

## Field Documentation

const char* OpalStatusUserInput::m_callToken

Call token for the call the User Input was received on.

unsigned OpalStatusUserInput::m_duration

Duration in milliseconds for tone. For DTMF style user input the time the tone was detected may be placed in this field. Generally zero is passed which means the m_userInput is a single "string" input. If non-zero then m_userInput must be a single character.

const char* OpalStatusUserInput::m_userInput

User input string, e.g. "#".

The documentation for this struct was generated from the following file:

- opal.h